We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 8265

Summary: Fix / rewrite theme plugin support
Product: OJS Reporter: Alec Smecher <alec>
Component: GeneralAssignee: PKP Support <pkp-support>
Status: NEW ---    
Severity: normal CC: a.marchitelli, igor.lekic, marco.tullney, rootl
Priority: P3    
Version: 3.0b   
Hardware: All   
OS: All   
Version Reported In: Also Affects:

Description Alec Smecher 2013-06-18 15:28:54 PDT
OMP 1.0 was released without specific support for theme plugins; for OJS 3.0 (probably the beta milestone) it would be good to re-introduce.

- Separation between theme.css and built-in styles needs review
- ThemePlugin structure needs review
- Theme config needs adding to setup (site and context?)
- Need to consider how to treat "default" theme -- is it actually a theme, or should it be always included and selectively overridden as per OJS?

We could probably stand to review another app or two for approaches.
Comment 2 Alec Smecher 2013-06-19 12:08:54 PDT
Please continue the discussion at http://pkp.sfu.ca/support/forum/viewtopic.php?f=9&t=9381&p=39479#p39473 for the time being! We'll migrate here once we have some requirements established.
Comment 3 Alec Smecher 2013-09-12 17:11:02 PDT
Move compiled CSS to cache
https://github.com/pkp/ojs/commit/d4bb963aac7106571ba65784d38d60105d6b18aa
Comment 4 Alec Smecher 2013-09-12 17:13:01 PDT
Move compiled CSS to cache
https://github.com/pkp/omp/commit/1dfe9ea41e90d6158bbe3932df29d44a48ecefc3
Comment 5 Alec Smecher 2013-09-17 17:22:02 PDT
Theme plugin implementation
https://github.com/pkp/pkp-lib/commit/8898d6a1903963fcbf797b49c5963448cc24c641
Comment 6 Alec Smecher 2013-09-17 17:23:02 PDT
Theme plugin implementation
https://github.com/pkp/ojs/commit/3e531b4408b2511c5793e99497a43df22758f423
Comment 7 Alec Smecher 2013-09-18 09:31:02 PDT
Theme plugin implementation
https://github.com/pkp/omp/commit/28b932748761cf37686b165257a7a8e45abb46cc
Comment 8 Alec Smecher 2013-09-18 09:31:02 PDT
Theme plugin implementation
https://github.com/pkp/omp/commit/e0ec2a95aeaa05f8a6979b2ad7b8d7f9ff102280
Comment 9 Alec Smecher 2013-09-19 11:40:01 PDT
Convert header/sidebar pages into controller handler
https://github.com/pkp/pkp-lib/commit/2f8ab6e5a6f1d2836627bd8215123fe6670b4d86
Comment 10 Alec Smecher 2013-09-19 11:41:02 PDT
Convert header/sidebar pages into controller handler
https://github.com/pkp/ojs/commit/b692b050a1bdda229c5d0593e92f0ac3b8d62d85
Comment 11 Alec Smecher 2013-09-19 11:48:02 PDT
Convert header/sidebar pages into controller handler
https://github.com/pkp/omp/commit/eccb8d8445ef7f040bc87241a302001abd007d19
Comment 12 Alec Smecher 2013-09-20 16:10:04 PDT
Improve CSS compilation for themes
https://github.com/pkp/ojs/commit/f6a7b53e37534b2db83063d3a30b0e39653cec73
Comment 13 Alec Smecher 2013-09-20 16:14:02 PDT
Improve CSS compilation for themes
https://github.com/pkp/omp/commit/53166c185053d315d2ca7ad3f7b27a6c544ceb67
Comment 14 Alec Smecher 2013-09-23 15:43:03 PDT
Theme settings fix
https://github.com/pkp/pkp-lib/commit/7b93ccf970c6a647abb1751a0a5882267c2063e9
Comment 15 Alec Smecher 2013-09-25 12:39:03 PDT
Add installer exception for session init
https://github.com/pkp/pkp-lib/commit/5e8fed15cbbcf7b9799daab3075787427f5f4d5d
Comment 16 Alec Smecher 2013-10-04 15:36:02 PDT
Add default theme to OMP
https://github.com/pkp/omp/commit/e256285f4757fd1cf4e0f2ea24af3dcab51a2867
Comment 17 Alec Smecher 2013-10-10 14:25:03 PDT
Fix BibTeX plugin TemplateManager use
https://github.com/pkp/ojs/commit/243026f0b26246743dd47c8e4a006f191c0d6fe6
Comment 18 Jason Nugent 2013-10-31 07:28:03 PDT
check for journal_id/context_id mismatch during upgrade
https://github.com/pkp/pkp-lib/commit/8cad9fd5e7fcfc8b93e8d94baaa6b1e9c2a1b6db
Comment 19 Jason Nugent 2013-11-01 07:01:05 PDT
introduce application method for context column name
https://github.com/pkp/pkp-lib/commit/94d73418afe9c0c95a7c499bde7b25ca722058f1
Comment 20 Jason Nugent 2013-11-01 07:03:02 PDT
introduce application method for context column name
https://github.com/pkp/ojs/commit/2cc85d6604d41f45ec05de198876326b5bc49c91
Comment 21 Jason Nugent 2013-11-01 07:05:02 PDT
introduce application method for context column name
https://github.com/pkp/omp/commit/3f1d62dc76450c7792c6eb48a89affb8fb078026
Comment 23 Alec Smecher 2013-11-14 17:14:03 PST
Fixed settings fetch query
https://github.com/pkp/pkp-lib/commit/032ede92b31a2c6ac5971bf9a134de0918f790dd
Comment 24 Jason Nugent 2014-01-29 14:41:03 PST
correct old column name for plugin settings
https://github.com/pkp/omp/commit/d6673f5f0b441c12d07ca880789f6d6a6b93d7ea